### Enumeration

# Adw DialogPresentationMode

since: 1.5

#### Declaration

    enum Adw.DialogPresentationMode

#### Description [src]

Describes the available presentation modes for `AdwDialog`.

New values may be added to this enumeration over time.

See `AdwDialog:presentation-mode`.

Available since: 1.5

#### Members

`ADW_DIALOG_AUTO`

  Switch between `ADW_DIALOG_FLOATING` and `ADW_DIALOG_BOTTOM_SHEET` depending on available size.

  - Value: `0`
  - Available since: 1.5
`ADW_DIALOG_FLOATING`

  Present dialog as a centered floating window.

  - Value: `1`
  - Available since: 1.5
`ADW_DIALOG_BOTTOM_SHEET`

  Present dialog as a bottom sheet.

  - Value: `2`
  - Available since: 1.5